@mixin base-conteiner-block-w-image-bg(
  $bgImage: "assets/images/global/backgrounds/bgr-blue.svg",
  $titleColor: $color_primary,
  $titlePadding: 0px 20px 20px 20px,
  $titleSize: 30px
) {
  padding-top: 20px;
  padding-bottom: 20px;
  padding-left: 0px;
  padding-right: 0px;
  background: url($bgImage);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;

  .c-title {
    margin: 0 auto;
    @include h2-title(
      $h2Color: $titleColor,
      $h2Padding: $titlePadding,
      $h2Size: $titleSize
    );
  }

  @media only screen and (min-width: 1200px) {
    padding-top: 50px;
    padding-bottom: 50px;
  }
}